Method: projects.locations.storagePools.ontap.executeOntapPatch

ontap.executeOntapPatch dispatches the ONTAP PATCH request to the StoragePool cluster.

HTTP request

PATCH https://netapp.googleapis.com/v1beta1/{ontapPath=projects/*/locations/*/storagePools/*/ontap/**}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
ontapPath

string

Required. The resource path of the ONTAP resource. Format: projects/{projectNumber}/locations/{locationId}/storagePools/{storagePoolId}/ontap/{ontap_resource_path}. For example: projects/123456789/locations/us-central1/storagePools/my-storage-pool/ontap/api/storage/volumes.

Request body

The request body contains data with the following structure:

JSON representation
{
  "body": {
    object
  }
}
Fields
body

object (Struct format)

Required. The raw JSON body of the request. The body should be in the format of the ONTAP resource. For example:

{
  "body": {
    "field1": "value1",
    "field2": "value2",
  }
}

Response body

Response message for ontap.executeOntapPatch API.

If successful, the response body contains data with the following structure:

JSON representation
{
  "body": {
    object
  }
}
Fields
body

object (Struct format)

The raw JSON body of the response.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the ontapPath resource:

  • netapp.ontap.patch

For more information, see the IAM documentation.